/* Difficulty Slider */
.diffSlider {
  max-width: 20em;
}

/* Complicated Difficulty Slider Styling */
.diffSlider .range-slider__thumb[data-lower] {
  background: var(--gradient-start);
}

.diffSlider .range-slider__thumb[data-upper] {
  background: var(--gradient-end);
}

.diffSlider .range-slider__thumb[data-active] {
  transform: translate(-50%, -50%) scale(1.25);
}

.range-slider__range {
  background: linear-gradient(to right, var(--gradient-start), var(--gradient-end)) !important;
  background-size: 200% 100%;
  background-position: 50% 0;
}

.tag_selector {
  max-width: 100%;
}

.tag_selector>.selected {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  max-width: 100%;
  margin-bottom: 0.25rem;
}

.close_click_catcher {
  position: absolute;
  display: block;
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
}

.add_tag_modal {
  position: absolute;
  display: flex;
  flex-wrap: wrap;
  max-height: 20rem;
  max-width: 20rem;
  overflow-y: scroll;
  z-index: 200;
  background-color: var(--bg);
}

.tag {
  cursor: pointer;
  background-color: rgb(31, 84, 119);
  display: inline;
  margin: 0.2rem;
  padding: 0.1rem 0.5rem;
  border-radius: 50rem;
  white-space: nowrap;
  border: none;
}

.tag:hover {
  filter: saturate(0.5);
}